# $Revision: 1.31 $, $Date: 2006/05/10 20:48:52 $
Summary:	A GNOME filemanager similar to the Midnight Commander
Summary(pl):	Zarzdca plikw dla rodowiska GNOME w stylu Midnight Commandera
Name:		gnome-commander
Version:	1.2.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-commander/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	2f34596e4c8a927efdb4ab987b82c7f0
Patch0:		%{name}-desktop.patch
URL:		http://www.nongnu.org/gcmd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool >= 0.31
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Commander is a filemanager that just like the classical Midnight
commander lets you do everything with the keyboard. It can perform all
standard fileoperations and some extra features like FTP support.

%description -l pl
GNOME Commander to zarzdca plikw, ktry podobnie do klasycznego
Midnight Commandera umoliwia pen obsug przy pomocy klawiatury.
Zapewnia wykonanie wszystkich typowych operacji na plikach, a take
kilka dodatkowych jak np. klienta FTP.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/{plugins/,}/*.{la,a}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/lib*.so*
%attr(755,root,root) %{_libdir}/%{name}/plugins/lib*.so*
%{_pixmapsdir}/*
%{_desktopdir}/gnome-commander.desktop
%{_mandir}/man1/*
%{_omf_dest_dir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-commander.spec,v $
Revision 1.31  2006/05/10 20:48:52  freetz
- 1.2.0, updated/cleaned up BR, updated configure time options and
  file list

Revision 1.30  2006/04/01 12:34:48  qboosh
- fixed typo (s/\.17/.7/) in previous commit message

Revision 1.29  2006/03/30 11:26:08  patrys
- 1.1.7

Revision 1.28  2005/09/12 21:38:43  kali
- added lib64.patch, fixed build on amd64, rel. 0.3

Revision 1.27  2005/03/15 06:17:35  djrzulf
- added TODO,

Revision 1.26  2005/02/21 09:53:21  megabajt
- proper license

Revision 1.25  2004/12/25 17:40:50  qboosh
- unified

Revision 1.24  2004/10/28 20:41:01  paladine
- "FTP" unification

Revision 1.23  2004/07/20 20:51:13  kali
- added {desktop,libdir}.patch
- more regeneration, BR libtool
- cosmetics

Revision 1.22  2004/07/11 15:08:09  jpc
- up to 1.1.6 (gnome2 based now)

Revision 1.21  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.20  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.19  2003/08/09 14:17:44  krzak
- up to 1.0.1

Revision 1.18  2003/06/27 20:16:29  blues
- more macros and some cleanups - inpired by kloczek

Revision 1.17  2003/06/27 12:53:21  qboosh
- 0.9.12 - builds, untested

Revision 1.16  2003/06/27 12:28:15  qboosh
- more macros, fixed build

Revision 1.15  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:48:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/03/16 19:34:47  pawel
- updated to 0.9.11

Revision 1.12  2003/01/29 13:21:22  radek
- BR: gnome-vfs-devel

Revision 1.11  2003/01/21 07:40:52  pascalek
- Release 1
- configure patch is obsoleted

Revision 1.10  2003/01/21 06:43:57  pascalek
- updated to 0.9.9

Revision 1.9  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.8  2002/12/13 15:18:13  ankry
- group fixed; adapterized

Revision 1.7  2002/12/02 10:33:56  pascalek
- updated to cvs version

Revision 1.6  2002/11/26 09:59:24  qboosh
- doc: removed COPYING (known) and INSTALL (generic), added AUTHORS

Revision 1.5  2002/11/25 01:41:03  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.4  2002/08/09 15:51:33  qwark
some more cleaning and adding BR (BR needs to be reviewed) - probably it's ready for tests building (I'm going to check what about ac/am support)

Revision 1.3  2002/08/06 16:59:31  qwark
new version changed url, section %build %install and some other not important changes (unhappily it's lose support for ac/am from previous version)

Revision 1.2  2002/08/01 20:29:03  qboosh
- adapterized (automagically and then manually)

* Sat Mar  9 2002 Marcus Bjurman <marbj499@student.liu.se>
- Pumped up the version nr

* Sun Nov  4 2001 Marcus Bjurman <marbj499@student.liu.se>
- Initial build.
